# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Package-Pkg
Version:        0.0020
Release:        alt1_4
Summary:        Handy package munging utilities
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Package-Pkg/
Source0:        http://www.cpan.org/authors/id/R/RO/ROKR/Package-Pkg-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Clone.pm)
BuildRequires:  perl(Class/Load.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Mouse.pm)
BuildRequires:  perl(Sub/Install.pm)
BuildRequires:  perl(Test/Most.pm)
BuildRequires:  perl(Try/Tiny.pm)


Source44: import.info

%description
Package::Pkg is a collection of useful, miscellaneous package-munging
utilities. Functionality is accessed via the imported pkg keyword, although
you can also invoke functions directly from the package (Package::Pkg).

%prep
%setup -q -n Package-Pkg-%{version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;

# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.0020-alt1_4
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.0020-alt1_3
- update to new release by fcimport

* Wed May 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.0019-alt1_4
- fc import

